com.sun.javadoc

## Interface AnnotatedType

- All Superinterfaces:
    Type

      public interface AnnotatedType
      extends Type

  Represents an annotated type. For example:

             @NonNull String
             @Positive int

  Since:
    1.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationDesc[]` | `annotations()`
    `Type` | `underlyingType()`

    - ### Methods inherited from interface com.sun.javadoc.Type

      `asAnnotatedType, asAnnotationTypeDoc, asClassDoc, asParameterizedType, asTypeVariable, asWildcardType, dimension, getElementType, isPrimitive, qualifiedTypeName, simpleTypeName, toString, typeName`

- - ### Method Detail

    - #### annotations

          AnnotationDesc[] annotations()

    - #### underlyingType

          Type underlyingType()

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 1993, 2015, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.